Jump to content

Photo

Skyrim VR Modding Assistance

help modding sksevr skyui skyuivr vr script extender virtual reality caco campfire

  • Please log in to reply
2 replies to this topic

#1
LucidGamer137

LucidGamer137

    Journeyman

  • Members
  • Pip
  • 38 posts

So I finally got all the mods that I wanted for Skyrim VR downloaded, now I need some help getting them all to function and talk to each other correctly. I'm not exactly a stranger to modding, but I'm far from experienced, either. (Load order at bottom)

 

 

First off, I'm not certain what the status of SkyUI is relative to the VR version; I looked up how to get a "SkyUI VR" working, a lot of sources sent me here for an unofficial SkyUI VR, so I figured I would download that, as well as the latest  actual SkyUI build and try both out. Launching with the VR version wouldn't get me past the Skyrim emblem appearing on screen. Launching with the latest official build would get me to the character creation (?) but I couldn't do anything. (I have Realm of Lorkhan installed, I think it tried to load Lorkhan and the normal Skyrim VR tutorial at the same time)

 

 

Next issue, whether I loaded in with SkyUI VR or the official version, after I closed the game Vortex would pop up a warning saying "Script extender plugin errors detected" and would include these errors:

 

DP_Extender.dll (Complete Alchemy and Cooking Overhaul): error 1114

ExATKDataPlugin.dll (Complete Alchemy and Cooking Overhaul): reported as incompatible

MagExtender.dll (Complete Alchemy and Cooking Overhaul): error 1114

PapyrusUtil.dll (Campfire - Complete Camping System (Supports Skyrim VR)): reported as incompatible

 

I'm rather clueless about what any of this means, but it appears that the mod within the parenthesis depends on the mod/program that comes before the parenthesis. If so, it really sucks that CACO and Campfire, among the mods that I really want to use, don't seem to be working. Something about MagExtender is familiar to me, and I know Papyrus is another big Scrip Extender plugin, but I'm not entirely sure how to resolve this particular issue. I'm also not sure why Vortex wouldn't report errors like this before the game launches...

 

 

Third issue, kind of already stated before, was that when I launched the game it seemed to try loading the normal Skyrim VR Tutorial/setup at the same time as loading the Realm of Lorkhan. I've launched the game in Vanilla once already, I know that's important to getting mods working, but not sure why it would try to throw me through the tutorial again. This might just resolve itself once the other things are fixed, but could still be its own issue; could be that I just need to disable it, run through the setup again, then re-enable it once it's done.

 

 

Aside from all that, I guess I just want to make sure that it's possible to play with some of the big mods that I really want; CACO, Campfire, Frostfall, Moonlight Tales, iNeed, and Sacrosanct are some of the mods I figure could be finnicky in VR, and I'm a bit uncertain if any of them will work. When it comes down to it, I could probably live without them, certainly if VR compatible versions are on the way, but if it's feasible to get them all functioning with a bit of effort then I'll gladly put in the extra time to get everything straight. Any help is greatly appreciated!

 

 

# Automatically generated by Vortex
Skyrim.esm
Update.esm
Dawnguard.esm
HearthFires.esm
Dragonborn.esm
SkyrimVR.esm
RSkyrimChildren.esm
Unofficial Skyrim Special Edition Patch.esp

 

Campfire.esm                                                   *** Had a Script Extender error: Reported as incompatible during query ***

 

Night Eye Overhaul.esm
SMIM-SE-Merged-All.esp
Reverb and Ambiance Overhaul - Skyrim.esp
EnhancedLightsandFX.esp
SkyUI_SE.esp
iNeed.esp
iNeed - Extended.esp
Book Covers Skyrim.esp
Hothtrooper44_ArmorCompilation.esp
Hothtrooper44_Armor_Ecksstra.esp
Immersive Sounds - Compendium.esp
Vivid WeathersSE.esp
Qw_ISC_USSEP Patch.esp
Vivid Weathers - Extended Rain.esp
Character Creation Overhaul.esp
CCO - Diverse Races And Genders.esp
CCO - Dynamic Skill Progression.esp
dD - Realistic Ragdoll Force - Reduced.esp
InnCredible.esp
MoreBanditCamps.esp
SkyTEST-RealisticAnimals&Predators.esp
Point The Way.esp
SkyrimVR-USSEP Fixes.esp
Inigo.esp
Realm of Lorkhan - Custom Alternate Start - Choose your own adventure.esp
Skyrim Trading Posts.esp
Immersive Patrols II.esp
AmazingFollowerTweaks.esp
Immersive Weapons.esp
LrsamwaysExpandedSkyrimWeaponry.esp
20 More Perk Points.esp
50 More Perk Points.esp
Perk Points at Skill Levels 50-75-100.esp
Cathedral Landscapes.esp
DiverseDragonsCollectionSE.esp
EldrichBattery.esp
Simple Realistic Archery VR.esp
vrik.esp
YOT - Your Own Thoughts.esp
Frostfall.esp
Useful Scrapping.esp
RealisticMiningAndChoppingVR.esp
Prometheus_BeastSkeletons.esp
Moonlight Tales Special Edition.esp
RSChildren.esp
Better Candlelight.esp
IcePenguinWorldMap.esp
NEO Brighter Default 150.esp
NEO Longer Lasting Potions.esp
NEO Longer Lasting Scrolls.esp
NEO Persistent Spell.esp
Night Eye Overhaul.esp
Gri_BeastFeet.esp
Better Claws And Gauntlets.esp
Better Claws And Gauntlets - Immersive Armors.esp
CloakTails.esp
Frostfall Vampire Fix.esp
Qw_BookCoversSkyrim_USSEP Patch.esp

Complete Alchemy & Cooking Overhaul.esp     *** Had a Script Extender error: code 1114 ***

SoundsofSkyrimComplete.esp

SoS_VividWeathers_Patch.esp
Inigo_CACO_Patch.esp
CACO_USSEP_Patch.esp
Qw_CACO_BookCoversSkyrim Patch.esp
Ordinator - Perks of Skyrim.esp
YOT - Ordinator.esp
Ordinator - VR Patch.esp
Apocalypse - Magic of Skyrim.esp
Apocalypse - Ordinator Compatibility Patch.esp
CACO_Ordinator_Patch.esp
Sacrosanct - Vampires of Skyrim.esp
Immersive Citizens - AI Overhaul.esp
Realistic AI Detection 2 SE Lite.esp
Convenient Carriages.esp
SoS_ImmersiveCitizens_Patch.esp
CC_Delivery_Default.esp
Convenient Horses.esp
Open Cities Skyrim.esp
Immersive Citizens - OCS patch.esp
SoS_OpenCities_Patch.esp
ELFXEnhancer.esp
SoS_ELFX+Enhancer_Patch.esp
Immersive Citizens - ELFXEnhancer patch.esp
RealisticWaterTwo.esp
RealisticWaterTwo - ELFX Enhancer Patch.esp
RealisticWaterTwo - Needs Mod Patch.esp
RealisticWaterTwo - Watercolor.esp
YOT - Apocalypse.esp
YOT - Convenient Horses.esp
YOT - Frostfall Module.esp
YOT - Immersive Sounds.esp
YOT - Moonlight Tales Overhaul.esp
YOT - Sacrosanct.esp
YOT - iNeed.esp


Edited by LucidGamer137, 04 January 2020 - 09:43 PM.


#2
LucidGamer137

LucidGamer137

    Journeyman

  • Members
  • Pip
  • 38 posts

After doing some more testing, I'm having some new issues. Pretty much everything above seems to have worked out on its own, but now I'm having issues in-game.

 

First, it seems I can only open my inventory once each time I launch the game. After that, opening the inventory either leads to a CTD or the inventory UI doesn't appear at all, just the model of the first item in my inventory. The only way to back out of the inventory then is to "observe" the item, then back out entirely.

 

Another issue I'm having is with vendors; I can buy things from merchants just fine, but I can't change over to my inventory to sell things to them. There also doesn't appear to be a button to "take all" when looking in containers.

 

These all appear to be issues with SkyUI VR, but I have a feeling that VRIK Player Avatar might also be causing some issues. I'm using Realm of Lorkhan for alternate starts, I haven't even made it into Skyrim yet because I want to have these issues resolved before I really get into the game.



#3
Grospolina

Grospolina

    Horker Hater

  • Premium Member
  • 994 posts

The symptoms in your first post seem to indicate that you either installed the wrong versions of the mods, or you didn't install SKSE64 VR correctly.

 

Make sure that you have downloaded SKSE64 VR "Current VR build" from https://skse.silverlock.org/

 

Note that any mods that have SKSE64 DLL plugins need to be recompiled for SKSE64 VR, and DLLs that are compiled for SKSE64 SE will NOT work. If it requires SKSE and has a DLL, then you need to look for a VR version. Always check the Files tab.

 

For both CACO and Campfire, make sure that you go to the Files tab (which I linked) and get the VR versions. You should also overwrite the PapyrusUtil plugin that comes with Campfire with the latest version (VR version in Miscellaneous Files).

 

The unofficial SkyUI VR that you linked is the correct version to install and the official SkyUI SE will not work properly.

 

In SkyUI VR, to sell things to a merchant, move left to the first inventory category, and then press left again to switch to your own inventory. When looting, there should be a Take All button listed at the bottom. For WMR (which is what I have), it's left-press on the touchpad.

 

Moonlight Tales, iNeed, and Sacrosanct do not use SKSE64 plugins and should work in VR. There's a beta compatibility patch for Frostfall. Note the four dependencies.







Also tagged with one or more of these keywords: help, modding, sksevr, skyui, skyuivr, vr, script extender, virtual reality, caco, campfire

Page loaded in: 1.089 seconds